Page MenuHomePhabricator

Update cg3, lttoolbox, apertium-get, apertium-lex-tools. apertium-recursive, apertium-separable and apertium-anaphora packages
Open, MediumPublic

Description

Update base packages for apertium to latest stable upstream releases and backport them to stable release, so it can be used by apertium service in WMF. Newer language pairs requires these packages as dependencies. Packages requires to be available in testing before they can be ready for backport.

  • cg3
    • Debian
    • Backport
  • lttoolbox
    • Debian
    • Backport
  • apertium-anaphora
    • Debian
    • Backport
  • apertium-lex-tools [Depends on T247585]
    • Debian
    • Backport
  • apertium-recursive [Depends on T247585]
    • Debian
    • Backport
  • apertium-separable [Depends on T247585]
    • Debian
    • Backport
  • Deployment in apertium service.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 30 2019, 9:06 AM
KartikMistry updated the task description. (Show Details)Oct 24 2019, 7:48 AM
KartikMistry triaged this task as Medium priority.Oct 31 2019, 5:19 AM
KartikMistry updated the task description. (Show Details)
KartikMistry set Due Date to Nov 14 2019, 6:30 PM.
KartikMistry updated the task description. (Show Details)Dec 3 2019, 7:53 AM
KartikMistry updated the task description. (Show Details)

Change 576664 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium@master] Apertium: Update to new upstream release 3.6.1

https://gerrit.wikimedia.org/r/576664

Change 576817 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/lttoolbox@master] lttoolbox: Update to new upstream release 3.5.1

https://gerrit.wikimedia.org/r/576817

Change 576833 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/cg3@master] cg3: Update to new upstream release 1.3.1

https://gerrit.wikimedia.org/r/576833

KartikMistry updated the task description. (Show Details)Mar 5 2020, 4:39 AM

Change 577045 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-lex-tools@master] apertium-lex-tools: Update to new upstream release 0.2.3

https://gerrit.wikimedia.org/r/577045

Change 576817 merged by Alexandros Kosiaris:
[operations/debs/contenttranslation/lttoolbox@master] lttoolbox: Update to new upstream release 3.5.1

https://gerrit.wikimedia.org/r/576817

Change 576833 merged by Alexandros Kosiaris:
[operations/debs/contenttranslation/cg3@master] cg3: Update to new upstream release 1.3.1

https://gerrit.wikimedia.org/r/576833

KartikMistry updated the task description. (Show Details)Mar 6 2020, 2:25 PM
KartikMistry updated the task description. (Show Details)

Change 576664 merged by Alexandros Kosiaris:
[operations/debs/contenttranslation/apertium@master] Apertium: Update to new upstream release 3.6.1

https://gerrit.wikimedia.org/r/576664

Mentioned in SAL (#wikimedia-operations) [2020-03-09T12:30:17Z] <akosiaris> upload apertium 3.6.1, cg3 1.3.1, lttoolbox 3.5.1, apertium-lex-tools 0.2.3 to apt.wikimedia.org/jessie-wikimedia main. T234182

Change 577045 merged by Alexandros Kosiaris:
[operations/debs/contenttranslation/apertium-lex-tools@master] apertium-lex-tools: Update to new upstream release 0.2.3

https://gerrit.wikimedia.org/r/577045

KartikMistry updated the task description. (Show Details)Mar 9 2020, 1:12 PM
KartikMistry renamed this task from Update to new cg3, lttoolbox, apertium, apertium-lex-tools and apertium-separable packages to Update cg3, lttoolbox, apertium-get, apertium-lex-tools. apertium-recursive, apertium-separable and apertium-anaphora packages.Dec 16 2020, 11:52 AM
KartikMistry updated the task description. (Show Details)
KartikMistry updated the task description. (Show Details)
KartikMistry updated the task description. (Show Details)Thu, Dec 17, 2:20 PM
KartikMistry updated the task description. (Show Details)Mon, Dec 21, 3:55 AM
KartikMistry updated the task description. (Show Details)Mon, Dec 21, 5:11 AM
KartikMistry updated the task description. (Show Details)Mon, Dec 21, 7:07 AM
KartikMistry updated the task description. (Show Details)Mon, Dec 21, 4:16 PM

All packages are uploaded to Debian. It will take atleast 10 days delay to reach them in testing (if not blocked by other packages eg. apertium).